Bug 1239576 - infinispan: FTBFS in rawhide
Summary: infinispan: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: infinispan
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ricardo Arguello
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1106798 F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:00 UTC by Dennis Gilmore
Modified: 2016-11-24 12:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-24 12:56:22 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.85 KB, text/plain)
2015-07-05 21:00 UTC, Dennis Gilmore
no flags Details
root.log (136.74 KB, text/plain)
2015-07-05 21:00 UTC, Dennis Gilmore
no flags Details
state.log (633 bytes, text/plain)
2015-07-05 21:00 UTC, Dennis Gilmore
no flags Details
fix FTBFS (8.11 KB, patch)
2015-09-10 00:37 UTC, gil cattaneo
no flags Details | Diff

Description Dennis Gilmore 2015-07-05 21:00:36 UTC
Your package infinispan failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10097691

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:00:37 UTC
Created attachment 1047043 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:00:38 UTC
Created attachment 1047044 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:00:39 UTC
Created attachment 1047045 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:40:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 gil cattaneo 2015-09-10 00:37:06 UTC
Created attachment 1071975 [details]
fix FTBFS

- fix BR list and use BRs mvn()-like
- introduce license macro
- resolve some rpmlint problem

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11025662

Comment 6 Fedora Update System 2015-09-21 01:43:54 UTC
infinispan-6.0.2-7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16266

Comment 7 Fedora Update System 2015-09-21 18:52:11 UTC
infinispan-6.0.2-7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update infinispan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16266

Comment 8 Fedora End Of Life 2016-11-24 12:02:17 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.